为了账号安全,请及时绑定邮箱和手机立即绑定

Vue-cli 如何从2.9.6 版本升级至3.0

Vue-cli 如何从2.9.6 版本升级至3.0

素胚勾勒不出你 2018-11-13 09:17:33

使用如下命令安装,但是vue -V的版本始终是 2.9.6

npm install -g @vue/cli# ORyarn global add @vue/cli
$ node -vv8.12.0

 $  vue -V2.9.6

尝试 过node重装,无效
npm yarn 全局安装无效,都是最新版本


查看完整描述

1 回答

?
qq_遁去的一_1

TA贡献1555条经验 获得超6个赞

把原先的卸载后再重新安装,关于Vue CLI 3
关于旧版本
Vue CLI 的包名称由 vue-cli 改成了 @vue/cli。 如果你已经全局安装了旧版本的 vue-cli (1.x 或 2.x),你需要先通过 npm uninstall vue-cli -g 或 yarn global remove vue-cli 卸载它。

Node 版本要求
Vue CLI 需要 Node.js 8.9 或更高版本 (推荐 8.11.0+)。你可以使用 nvm 或 nvm-windows 在同一台电脑中管理多个 Node 版本。


查看完整回答
2 反对 回复 2018-11-13
  • 上课不交手机
    上课不交手机
    终于找到靠谱的了,csdn里好多博客都是废话,就这最好用了,不过cnpm应该也可以用吧,下载之后才知道这个多慢

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信